Subject: Re: bug#77686: Issue with Gnus' faces

From: Eli Zaretskii <[email-masked]>
Date: Sat, 12 Apr 2025 15:53:57 +0300

> From: [email-masked] (Harry G. Thompson)
> Date: Sat, 12 Apr 2025 12:11:31 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: [email-masked] (Harry G. Thompson)
> >> Date: Wed, 09 Apr 2025 18:20:58 +0000
> >> 
> >> When using Gnus I get a flood of 'Invalid face references' in the
> >> message buffer. i.e.:
> >> 
> >> Invalid face reference: gnus-summary-high-ancient-face [4 times]
> >> Invalid face reference: gnus-group-mail-2-face
> >> Invalid face reference: gnus-summary-high-ancient-face [11 times]
> >> Invalid face reference: gnus-group-mail-2-face [2 times]
> >
> > In what version of Emacs is that?  These faces don't exist since
> > Emacs 27, so if you are using an older version of Emacs, just
> > upgrading should fix this.
> >
> > Or maybe you are using some add-on package which still assumes an old
> > Gnus, and references these faces although they no longer exist?
> 
> This is Emacs 30.1, OpenSUSE's distribution of it to be exact. I'm not
> currently using any add-on for Gnus specifically.
> 
> Perhaps Modus and Ef-Themes are referencing it? Just looking at the Modus
> source code and the faces are included.

Yes, so please report this to the respective developers, as it is not
a bug in Emacs.

Thanks, I'm therefore closing this bug.